Index: src/analyzer.cpp
===================================================================
--- src/analyzer.cpp	(revision 3902484c207d407476dea9c34dc0482f306011aa)
+++ src/analyzer.cpp	(revision b4b7c37aea37c05e26de1669061a747720f5d760)
@@ -85,5 +85,5 @@
   Hcorrected = Hcorrection.ParseMatrix(argv[1], "", HCORRECTIONSUFFIX,0,0);
   if (!Force.ParseMatrix(argv[1], dir, ForcesSuffix,0,0)) return 1;
-  //if (!Time.ParseMatrix(argv[1], dir, TimeSuffix, 10,1)) return 1;
+  if (!Time.ParseMatrix(argv[1], dir, TimeSuffix, 10,1)) return 1;
   if (periode != NULL) { // also look for PAS values
     if (!Shielding.ParseMatrix(argv[1], dir, ShieldingSuffix, 1, 0)) return 1;
@@ -159,18 +159,18 @@
   }
   
-//  output << endl << "Total Times" << endl << "===============" << endl << Time.Header << endl;
-//  Time.SetLastMatrix(0., 0);
-//  for (int BondOrder=KeySet.Order;BondOrder--;)
-//    for(int i=KeySet.FragmentsPerOrder[BondOrder];i--;)
-//      for(int j=Time.RowCounter[Time.MatrixCounter];j--;)
-//        for(int k=Time.ColumnCounter;k--;) {
-//          Time.Matrix[ Time.MatrixCounter ][j][k] += Time.Matrix[ KeySet.OrderSet[BondOrder][i] ][j][k];
-//        }
-//  for(int j=0;j<Time.RowCounter[Time.MatrixCounter];j++) {
-//    for(int k=0;k<Time.ColumnCounter;k++)
-//      output << scientific << Time.Matrix[ Time.MatrixCounter ][j][k] << "\t";
-//    output << endl;
-//  }
-//  output << endl;
+  output << endl << "Total Times" << endl << "===============" << endl << Time.Header << endl;
+  Time.SetLastMatrix(0., 0);
+  for (int BondOrder=KeySet.Order;BondOrder--;)
+    for(int i=KeySet.FragmentsPerOrder[BondOrder];i--;)
+      for(int j=Time.RowCounter[Time.MatrixCounter];j--;)
+        for(int k=Time.ColumnCounter;k--;) {
+          Time.Matrix[ Time.MatrixCounter ][j][k] += Time.Matrix[ KeySet.OrderSet[BondOrder][i] ][j][k];
+        }
+  for(int j=0;j<Time.RowCounter[Time.MatrixCounter];j++) {
+    for(int k=0;k<Time.ColumnCounter;k++)
+      output << scientific << Time.Matrix[ Time.MatrixCounter ][j][k] << "\t";
+    output << endl;
+  }
+  output << endl;
   output.close();
 
@@ -181,20 +181,20 @@
   // ======================================= Creating the data files ==============================================================
 
-//  // +++++++++++++++++++++++++++++++++++++++ Plotting Simtime vs Bond Order
-//  if (!OpenOutputFile(output, argv[3], "SimTime-Order.dat" )) return false;
-//  Time.SetLastMatrix(0., 0);
-//  output << "#Order\tFrag.No.\t" << Time.Header << endl;
-//  for (int BondOrder=0;BondOrder<KeySet.Order;BondOrder++) {
-//    for(int i=KeySet.FragmentsPerOrder[BondOrder];i--;)
-//      for(int j=Time.RowCounter[Time.MatrixCounter];j--;)
-//        for(int k=Time.ColumnCounter;k--;) {
-//          Time.Matrix[ Time.MatrixCounter ][j][k] += Time.Matrix[ KeySet.OrderSet[BondOrder][i] ][j][k];
-//        }
-//    output << BondOrder+1 << "\t" << KeySet.FragmentsPerOrder[BondOrder];
-//    for(int k=0;k<Time.ColumnCounter;k++)
-//      output << "\t" << scientific << Time.Matrix[ Time.MatrixCounter ][1][k];
-//    output << endl;
-//  }
-//  output.close();
+  // +++++++++++++++++++++++++++++++++++++++ Plotting Simtime vs Bond Order
+  if (!OpenOutputFile(output, argv[3], "SimTime-Order.dat" )) return false;
+  Time.SetLastMatrix(0., 0);
+  output << "#Order\tFrag.No.\t" << Time.Header << endl;
+  for (int BondOrder=0;BondOrder<KeySet.Order;BondOrder++) {
+    for(int i=KeySet.FragmentsPerOrder[BondOrder];i--;)
+      for(int j=Time.RowCounter[Time.MatrixCounter];j--;)
+        for(int k=Time.ColumnCounter;k--;) {
+          Time.Matrix[ Time.MatrixCounter ][j][k] += Time.Matrix[ KeySet.OrderSet[BondOrder][i] ][j][k];
+        }
+    output << BondOrder+1 << "\t" << KeySet.FragmentsPerOrder[BondOrder];
+    for(int k=0;k<Time.ColumnCounter;k++)
+      output << "\t" << scientific << Time.Matrix[ Time.MatrixCounter ][1][k];
+    output << endl;
+  }
+  output.close();
 
   // +++++++++++++++++++++++++++++++++++++++ Plotting deviation in energy to full QM
@@ -264,5 +264,5 @@
   
   // +++++++++++++++++++++++++++++++++++++++ Plotting Simtime vs Bond Order
-  //if (!CreatePlotOrder(Time, KeySet, argv[3], "SimTime-Order", 1, "below", "y", "",  1, 1, "bond order k", "Evaluation time [s]", Orderxrange.str().c_str(), "", "1" , "with linespoints", EnergyPlotLine)) return 1;
+  if (!CreatePlotOrder(Time, KeySet, argv[3], "SimTime-Order", 1, "below", "y", "",  1, 1, "bond order k", "Evaluation time [s]", Orderxrange.str().c_str(), "", "1" , "with linespoints", EnergyPlotLine)) return 1;
   
   // +++++++++++++++++++++++++++++++++++++++ Plotting deviation in energy to full QM
